=== debian/changelog ===
pibootctl (0.5.2-0ubuntu1) groovy; urgency=medium

  * New upstream release
  * Fixes handling of initramfs and ramfsaddr commands

 -- Dave Jones <dave.jones@canonical.com>  Mon, 14 Sep 2020 09:57:48 +0100

pibootctl (0.5.1-0ubuntu1) groovy; urgency=medium

  * New upstream release

 -- Dave Jones <dave.jones@canonical.com>  Wed, 09 Sep 2020 16:24:27 +0100

pibootctl (0.5-0ubuntu1) groovy; urgency=medium

  * Configuration re-writing always targets config.txt
  * Added comment_lines option to permit commenting lines instead of
    deleting them
  * Configuration writer searches for an uncomments lines in preference to
    writing new ones
  * Added --this-model and --this-serial options to permit adding settings
    to new/existing conditional sections

 -- Dave Jones <dave.jones@canonical.com>  Wed, 09 Sep 2020 00:10:31 +0100

pibootctl (0.4-2) focal; urgency=medium

  * Fix the config.template configuration file

 -- Dave Jones <dave.jones@canonical.com>  Tue, 31 Mar 2020 22:12:29 +0100

pibootctl (0.4-1) focal; urgency=medium

  * Handle unrecognized commands correctly in the "help" command
  * Implemented loading settings with the ``--shell`` style
  * Improved help output for reference lists
  * Fixed all legal stuff (added copyright headers where required, re-licensed
    to GPL 3+)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 31 Mar 2020 16:15:22 +0100

pibootctl (0.3-1) focal; urgency=medium

  * Added full bash completions

 -- Dave Jones <dave.jones@canonical.com>  Fri, 27 Mar 2020 17:16:45 +0000

pibootctl (0.2-1) focal; urgency=medium

  * Completed tracking and reporting of overridden lines in configurations
  * Started work on bash completions
  * Added a few more settings (max_framebuffers, etc.)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 26 Mar 2020 13:56:35 +0000

pibootctl (0.1-1) focal; urgency=medium

  * Initial release. (Closes: LP: #1870100)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 12 Mar 2020 18:20:44 +0000
