=== debian/control ===
Source: pibootctl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
Homepage: http://pibootctl.readthedocs.io/
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-yaml,
 python3-setuptools,
 python3-pkginfo,
 python3-pytest,
 python3-pytest-cov,
 python3-sphinx
Standards-Version: 4.5.0
Vcs-Git: https://github.com/waveform80/pibootctl.git
Vcs-Browser: https://github.com/waveform80/pibootctl

Package: pibootctl
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-yaml
Suggests: python3-argcomplete, pibootctl-doc
Description: query and manipulate the boot configuration of the Raspberry Pi
 pibootctl is a utility for querying and manipulating the boot-loader
 configuration of the Raspberry Pi, i.e. config.txt and associated files on
 the boot partition.

Package: pibootctl-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: documentation for the pibootctl utility
 pibootctl is a utility for querying and manipulating the boot-loader
 configuration of the Raspberry Pi, i.e. config.txt and associated files on
 the boot partition.
 .
 This is documentation for the utility.
