=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@_$1\.orig\.tar\.gz/ \
  https://github.com/waveform80/@PACKAGE@/tags .*/v?@ANY_VERSION@\.tar\.gz
